.Net 3.5 Framework - General Discussions - General Discussions - Progress Community
 General Discussions

.Net 3.5 Framework

  • .Net 3.5 Framework
  • Hello togehter,
    i tryed to install the Beta 4.0 my Conf: Windows 2008 Ent Server. .Net Framework 4.0 installed.
    The installation is runnung good (better then in v3.5) but if a want to startup the Sitefinity on the server
    i get the message:
       14:         <section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" requirePermission="false" allowDefinition="MachineToApplication"/>

    this entry is twice in the config File....
    I tryed the set the appPool Framework to Framework 3.5 but ther is only the selection Entry 2.0, 4.0 or unmanaged.
    What can i do?

    (i installed the Fx 3.5 in the maschine too, but no change)


    regards Thomas
  • .net 3.5 is just .net 2.0 with extensions. my website works with the app pool set to .net 2.0 and integrated pipeline. the problem i have is creating content collections, but that is prob. something else.
  • Hi richard,

    The BETA of Sitefinity 4 can run correctly only under .NET Framework 3.5 . Support for .NET 4.0 will be provided for the RC. I am not sure what is the actual problem from the provided description, but errors for duplicate entries in the web.config are result of nested web applications or when there is another web.config in the same/parent/child level. In this case all section which throws such errors should be escaped with <remove> or <clear> tags.

    Kind regards,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  • 213474_iis-app-pool.PNG
    you are correct, but i was referring to the set up of the app pool in IIS. there is no .net 3.5 choice, it is loaded by directives if it is installed. if you set the app pool to .net 4, you will get the error that he was experiencing. sorry for not being clearer, i was just trying to keep it simple.
  • Hello richard,

    It looks like that you do not have .NET Framework 3.5 Installed.

    Best wishes,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  • Hi Ivan,

    Do you folks have a timeframe for the release of the RC?  I've been chomping at the bit to get a Framework 4.0 compatible version so I can hook it up with my other Framework 4.0 projects.

    Thanks, Greg
  • Hi Greg Figueroa,

    There is no public data for the RC. "Sitefinity 4.0 is planned for official release in October or November of this year (2010).  We are planning one more preview release (the RC – release candidate) before the final release.  During the RC release, we will also announce the Sitefinity licensing & pricing changes. If everything goes according to plan, Sitefinity 4.0 will be officially available in 2-3 months."

    Sincerely yours,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items